define bi_git::config::email (
    $user = $title,
    $email = undef,
    $global = true,
    $repo_path = undef,
) {
    
    if $email == undef or !is_string($email) { 
        fail("'email' must be defined") 
    }
    
    bi_git::config::config { "$email":
        config_name => "user.email",
        user => $user,
        repo_path => $repo_path,
    }

}