define bi_git::config::username (
    $user = $title,
    $username = undef,
    $global = true,
    $repo_path = undef,
) {

    if $username == undef or !is_string($username) { 
        fail("'username' must be defined") 
    }
    
    bi_git::config::config { "$username":
        config_name => "user.name",
        user => $user,
        repo_path => $repo_path,
    }

}